# bash programmable completion for various Common Lisp implementations by
# Nikodemus Siivola <nikodemus@random-state.net>

have gcl &&
_gcl()
{
    local cur

    COMPREPLY=()
    cur=`_get_cword`

    # completing an option (may or may not be separated by a space)
    if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '-eval -load -f -batch -dir -libdir \
            -compile -o-file -c-file -h-file -data-file -system-p '-- "$cur" ) )
    else
        _filedir
    fi

    return 0
} &&
complete -F _gcl $default gcl

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
